Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 657966 - sci-physics/clhep-2.4.0.4: test failure: testThreaded failed
Summary: sci-physics/clhep-2.4.0.4: test failure: testThreaded failed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Physics related packages
URL: https://its.cern.ch/jira/projects/CLH...
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 657254
  Show dependency tree
 
Reported: 2018-06-12 10:57 UTC by Thomas Deutschmann
Modified: 2020-11-18 16:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,699.23 KB, text/plain)
2018-06-12 10:57 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2018-06-12 10:57:35 UTC
Created attachment 535696 [details]
build.log

98% tests passed, 1 tests failed out of 44

Total Test time (real) =  24.08 sec

The following tests FAILED:
         29 - testThreaded (Failed)
Errors while running CTest



29/44 Testing: testThreaded
29/44 Test: testThreaded
Command: "/var/tmp/portage/sci-physics/clhep-2.4.0.4/work/clhep-2.4.0.4_build/Random/test/testThreaded"
Directory: /var/tmp/portage/sci-physics/clhep-2.4.0.4/work/clhep-2.4.0.4_build/Random/test
"testThreaded" start time: Jun 12 12:54 CEST
Output:
----------------------------------------------------------
<end of output>
Test time =   0.00 sec
----------------------------------------------------------
Test Failed.
"testThreaded" end time: Jun 12 12:54 CEST
"testThreaded" time elapsed: 00:00:00




Portage 2.3.40 (python 3.5.5-final-0, default/linux/x86/17.0, gcc-6.4.0, glibc-2.26-r7, 4.9.95-gentoo i686)
=================================================================
System uname: Linux-4.9.95-gentoo-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3108308 total,   1720260 free
KiB Swap:     488276 total,    488276 free
Timestamp of repository gentoo: Tue, 12 Jun 2018 10:06:38 +0000
Head commit of repository gentoo: 6161b7216da22b4aeeeecd0cd61cc78750a7c2a0

sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo, 2.30-r2::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.30/info:/usr/share/info:/usr/share/info/emacs-25"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/root"
OPENCL_PROFILE="mesa"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
POSTGRES_TARGETS="postgres9_5"
PWD="/etc/portage/patches"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RUBY_TARGETS="ruby22 ruby23"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp/tmux-0/default,4926,0"
TMUX_PANE="%2"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
Comment 1 Guilherme Amadio gentoo-dev 2018-06-13 06:14:26 UTC
Reported upstream at https://its.cern.ch/jira/projects/CLHEP/issues/CLHEP-149.
I tried also with newest released version, clhep-2.4.1.0, but the test still fails.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-09-06 19:08:09 UTC
What about current stable 2.2.0.5, does it fail as well?
Comment 3 Guilherme Amadio gentoo-dev 2018-09-07 07:53:41 UTC
(In reply to Andreas Sturmlechner from comment #2)
> What about current stable 2.2.0.5, does it fail as well?

No, I tested it and it was fine. Only the later version fails.
Comment 4 Andreas Sturmlechner gentoo-dev 2019-11-12 21:24:18 UTC
Any luck with 2.4.1.2?
Comment 5 Andreas Sturmlechner gentoo-dev 2020-05-23 09:06:27 UTC
What about 2.4.1.3-r1?
Comment 6 Thomas Deutschmann gentoo-dev Security 2020-09-20 16:38:38 UTC
No, still failing without any useful output:

> 30/45 Testing: testThreaded
> 30/45 Test: testThreaded
> Command: "/var/tmp/portage/sci-physics/clhep-2.4.1.3-r1/work/clhep-2.4.1.3_build/Random/test/testThreaded"
> Directory: /var/tmp/portage/sci-physics/clhep-2.4.1.3-r1/work/clhep-2.4.1.3_build/Random/test
> "testThreaded" start time: Sep 20 18:37 CEST
> Output:
> ----------------------------------------------------------
> <end of output>
> Test time =   0.01 sec
> ----------------------------------------------------------
> Test Failed.
> "testThreaded" end time: Sep 20 18:37 CEST
> "testThreaded" time elapsed: 00:00:00
> ----------------------------------------------------------
>
Comment 7 Guilherme Amadio gentoo-dev 2020-11-18 15:58:29 UTC
Just tested with 2.4.4.0 after bumping the version. The test still fails. I will try to debug and fix it. The problem is likely with the test itself, though. On amd64, the test passes.
Comment 8 Guilherme Amadio gentoo-dev 2020-11-18 16:21:43 UTC
I've looked at it in more detail. It's a problem with the test itself. Should be fine to stabilize. I will do that soon.
Comment 9 Larry the Git Cow gentoo-dev 2020-11-18 16:47:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=803b6b6c292eaf58bed226d51e087abf1f35fd59

commit 803b6b6c292eaf58bed226d51e087abf1f35fd59
Author:     Guilherme Amadio <amadio@gentoo.org>
AuthorDate: 2020-11-18 16:40:02 +0000
Commit:     Guilherme Amadio <amadio@gentoo.org>
CommitDate: 2020-11-18 16:47:23 +0000

    sci-physics/clhep: fix bug 657966
    
    Closes: https://bugs.gentoo.org/657966
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Guilherme Amadio <amadio@gentoo.org>

 sci-physics/clhep/clhep-2.4.1.3-r1.ebuild          |  2 +
 sci-physics/clhep/clhep-2.4.4.0.ebuild             |  2 +
 .../clhep/files/clhep-fix-testThreaded.patch       | 90 ++++++++++++++++++++++
 3 files changed, 94 insertions(+)
Comment 10 Guilherme Amadio gentoo-dev 2020-11-18 16:51:48 UTC
Patch submitted upstream at https://gitlab.cern.ch/CLHEP/CLHEP/-/merge_requests/5